Build a spiffier sandbox
Closed, DeclinedPublic

Description

Author: fennec

Description:
We should build a better sandbox that automagically cleans itself out. Perhaps
make it a Special: page.


Version: unspecified
Severity: enhancement
URL: http://en.wikipedia.org/wiki/Wikipedia:Sandbox

bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz1046.
bzimport created this task.Via LegacyDec 9 2004, 1:06 AM
bzimport added a comment.Via ConduitDec 9 2004, 7:39 PM

rowan.collins wrote:

I guess the only worry with such a thing would be that we want people to be able
to do any kind of editing, diffing, etc just like they would with an ordinary
page; it is, after all, for practicing how the software works. However, there
are some things we could [possibly] do:

  • a utility that automatically reverted the sandbox to a particlar state (i.e.

empty except for the standard header)

  • a "sticky" header, that can't be edited/removed, below which the "real"

content (which is editable just like any other page) appears (in which case we'd
only need to blank, not revert)

hashar added a comment.Via ConduitJan 7 2005, 12:33 AM

on fr: we use {{subst:sandbox}} to manually reset the sand box page :o)

bzimport added a comment.Via ConduitMar 7 2005, 7:51 PM

the.r3m0t wrote:

We have a bot now. I'm marking as WONTFIX if I'm allowed to. Oh, it's filed for
"MediaWiki" and not for "Wikimedia web sites". OK.

bzimport added a comment.Via ConduitMay 24 2005, 11:22 PM

avarab wrote:

Marking it as WONTFIX, adding some page auto-clear functionality would
overcomplicate things and isn't worth it for this small niche.

Add Comment

Column Prototype
This is a very early prototype of a persistent column. It is not expected to work yet, and leaving it open will activate other new features which will break things. Press "\" (backslash) on your keyboard to close it now.